Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTRecommender Class Reference

Inheritance diagram for SPTRecommender:

[legend]
Collaboration diagram for SPTRecommender:

[legend]
List of all members.

## Public Member Functions
| SPTRecommender ()
| GetFieldValue ($ItemId, $FieldName)
| QueueUpdateForItem ($ItemId, $Priority=ApplicationFramework::PRIORITY_LOW)
## Static Public Member Functions
static | RunUpdateForItem ($SourceItemId, $StartingIndex)

## Detailed Description

Definition at line 10 of file SPTRecommender.php.

## Member Function Documentation

SPTRecommender::GetFieldValue | ( | $ | ItemId,
|  | $ | FieldName |
| ) |  |  |

Definition at line 93 of file SPTRecommender.php.

SPTRecommender::QueueUpdateForItem | ( | $ | ItemId,
|  | $ | Priority = `ApplicationFramework::PRIORITY_LOW` |
| ) |  |  |

Definition at line 118 of file SPTRecommender.php.

static SPTRecommender::RunUpdateForItem | ( | $ | SourceItemId,
|  | $ | StartingIndex |
| ) |  |  | `[static]`

Definition at line 126 of file SPTRecommender.php.

References ApplicationFramework::PRIORITY_MEDIUM, Recommender::PruneCorrelations(), SPTRecommender(), and Recommender::UpdateContentCorrelation().

SPTRecommender::SPTRecommender | ( |  | ) |

Definition at line 12 of file SPTRecommender.php.

References Recommender::$DB, Recommender::$ItemIdFieldName, Recommender::$ItemTableName, Recommender::$RatingFieldName, Recommender::$RatingTableName, Recommender::$UserIdFieldName, Recommender::CONTENTFIELDTYPE_DATE, Recommender::CONTENTFIELDTYPE_NUMERIC, Recommender::CONTENTFIELDTYPE_TEXT, MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and Recommender::Recommender().

Referenced by RunUpdateForItem().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- SPTRecommender.php